;+
; NAME:
;       TRACE_SSWHERE_RESET
; PURPOSE:
;       Resets values in widget in TRACE_SSWHERE
; CATEGORY:
; CALLING SEQUENCE:
;	should only be called by TRACE_SSWHERE and TRACE_SSWHERE_EVENT
; INPUTS:
; OPTIONAL INPUT PARAMETERS:
; KEYWORD PARAMETERS:
; OUTPUTS:
; OPTIONAL OUTPUT PARAMETERS:
; COMMON BLOCKS:
;       obs_tbl, obs_cm2, obs_btnx, obs_times
; SIDE EFFECTS:
; RESTRICTIONS:
; PROCEDURE:
; MODIFICATION HISTORY:
;       RDB     Sep-98  Written
;
;-

pro	trace_sswhere_reset

common obs_tbl
common obs_cm2
common obs_btnx
common obs_times


;               reset all values to initial ones
;???    start and stop times

;               reset wavelengths
for jj = 0,n_elements(hchans)-1 do begin
   widget_control,b4(jj),set_button=0 & hchan_vec(jj)=0
endfor

;               reset dimensions
for jj = 0,n_elements(schans)-1 do begin
   widget_control,b2(jj),set_button=0 & schan_vec(jj)=0
endfor

;               reset min., max. exposure
texp1 = '' & texp2 = ''
WIDGET_CONTROL,expmin,set_value= ''  
WIDGET_CONTROL,expmax,set_value= ''

return
end
